libpcap (1.10.0-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 21 Jan 2021 10:35:08 -0500

libpcap (1.10.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 18 Jan 2021 10:26:52 +0100

libpcap (1.10.0-2) unstable; urgency=medium

  * Update Hurd support to use the new internal API, fixing FTBFS.
  * Add missing dependency on libdbus-1-dev to libpcap0.8-dev, patch by
    Luca Boccassi (closes: #979229).
  * Bump Standards-Version to 4.5.1.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 04 Jan 2021 20:39:53 +0100

libpcap (1.10.0-1) unstable; urgency=medium

  * New upstream release (closes: #970437).
  * Export new symbol `pcap_init'.
  * Drop unused lintian override.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 03 Jan 2021 19:57:52 +0100

libpcap (1.9.1-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 02 May 2020 16:59:23 +0200

libpcap (1.9.1-4) unstable; urgency=medium

  * debian/control: Add build-dep on libdbus-1-dev (closes: #958639).
  * Bump Standards-Version to 4.5.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 25 Apr 2020 18:45:40 +0200

libpcap (1.9.1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 15 Apr 2020 21:28:16 +0200

libpcap (1.9.1-3) unstable; urgency=medium

  * Drop debian/patches/bluez-build.diff (closes: #954181).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 Mar 2020 20:17:44 +0100

libpcap (1.9.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 Mar 2020 19:55:35 +0100

libpcap (1.9.1-2) unstable; urgency=medium

  * Fix FTBFS on Hurd.
  * Bump Standards-Version to 4.4.1.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 08 Oct 2019 13:37:31 +0200

libpcap (1.9.1-1) unstable; urgency=medium

  * New upstream release, fixes CVE-2018-16301 and CVE-2019-15165
    (closes: #941697).
  * Export new symbol `pcap_datalink_val_to_description_or_dlt'.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Oct 2019 17:54:57 +0200

libpcap (1.9.0-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Install upstream pkg-config file (closes: #922219).

  [ Romain Francoise ]
  * Bump Standards-Version to 4.4.0.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 13 Jul 2019 20:48:26 +0200

libpcap (1.9.0-1) experimental; urgency=medium

  * New upstream release:
    + API additions: pcap_bufsize(), pcap_dump_ftell64(),
      pcap_get_required_select_timeout() and pcap_set_protocol_linux()
      (only on Linux).
    + Fixes issues with capture length for D-Bus (closes: #846241).
  * Cherry-pick commit dcda937d4715 from upstream Git to fix issues with
    VLAN filtering (closes: #909749).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 04 Nov 2018 18:18:37 +0100

libpcap (1.8.1-6) unstable; urgency=medium

  * debian/watch: add pgpsigurlmangle option.
  * Add upstream signing key in debian/upstream.
  * Make transitional package libpcap-dev 'Multi-Arch: same'.
  * Use new URLs on salsa.debian.org for Vcs-* fields.
  * Lintian cleanups:
    + Make libpcap0.8-dbg 'Priority: optional'.
    + Use /usr/share/dpkg/architecture.mk instead of setting DEB_HOST_ARCH_OS.
    + Bump Standards-Version to 4.1.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Dec 2017 16:56:33 +0100

libpcap (1.8.1-5) unstable; urgency=medium

  * Remove unused RPATH handling from pcap-config: now that we no longer
    output the -L option in front, it causes --libs output to begin with a
    space, which displeases cmake (closes: #876123).
  * Make libpcap-dev arch:any to allow cross-building, as suggested by
    Helmut Grohne (closes: #820829).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 30 Sep 2017 17:46:37 +0200

libpcap (1.8.1-4) unstable; urgency=medium

  * Don't include arch-dependent paths in pcap-config --libs output.
  * Make libpcap0.8-dev Multi-Arch: same, with thanks to Francois Gouget
    (closes: #760370).
  * Set Standards-Version to 4.1.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 02 Sep 2017 17:57:04 +0200

libpcap (1.8.1-3) unstable; urgency=medium

  * Disable bits of remote capture support inherited from the WinPCAP
    merge which cause applications to FTBFS if they define HAVE_REMOTE
    (closes: #843384).
  * Fix warning in pcap-tstamp(7) pointed out by lintian.
  * Use cgit URL in Vcs-Browser.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Nov 2016 18:15:18 +0100

libpcap (1.8.1-2) unstable; urgency=medium

  * Update Debian-specific Hurd packet interface to use the new internal API,
    fixes FTBFS.
  * Include <sys/kern/time.h> in BPF packet interface to get access to
    `struct bintime' and friends on kFreeBSD, fixes FTBFS.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 30 Oct 2016 12:05:19 +0100

libpcap (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Oct 2016 18:53:48 +0200

libpcap (1.7.4-3) unstable; urgency=medium

  * Drop unnecessary build-depends on perl (closes: #816187).
  * Hardcode packet interface type in debian/rules to make cross-building
    easier, patch by Samuel Thibault (closes: #816188).
  * Stop patching config.{guess,sub}, dh_update_autotool_config now
    handles that automatically for us.
  * Set Standards-Version to 3.9.8.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Sep 2016 12:07:26 +0200

libpcap (1.7.4-2) unstable; urgency=medium

  * Only override arch-dependent dh targets (closes: #806061).
  * Update versioned build-depends on debhelper accordingly.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 28 Nov 2015 18:54:26 +0100

libpcap (1.7.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 04 Jul 2015 23:15:11 +0200

libpcap (1.7.3-1) unstable; urgency=medium

  * New upstream release, API addition: pcap_dump_open_append().

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 24 May 2015 19:05:44 +0200

libpcap (1.6.2-2) unstable; urgency=medium

  * Re-enable zerocopy BPF on kFreeBSD (closes: #764228).
  * Set Standards-Version to 3.9.6.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Oct 2014 19:28:05 +0200

libpcap (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 04 Sep 2014 19:06:26 +0200

libpcap (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Amend configure test for new bt-monitor interface to make it fail properly
    when built with BlueZ 5.x, as it's apparently not compatible yet.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 30 Jul 2014 21:05:16 +0200

libpcap (1.5.3-4) unstable; urgency=high

  * Disable zerocopy BPF on kFreeBSD to work around broken atomic support,
    see #750836 (closes: #750805).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Jun 2014 13:08:16 +0200

libpcap (1.5.3-3) unstable; urgency=medium

  * Add support for packet capture on GNU/Hurd (w/ netdde drivers), patch by
    Richard Braun <rbraun@sceen.net> (closes: #744198).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Jun 2014 20:07:04 +0200

libpcap (1.5.3-2) unstable; urgency=low

  * Enable Bluetooth capture on Linux (closes: #737357).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 03 Feb 2014 22:03:51 +0100

libpcap (1.5.3-1) unstable; urgency=low

  * New upstream bugfix release, fixes more TPACKET_V3 issues
    (closes: #734455, #733747).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 16 Jan 2014 18:54:20 +0100

libpcap (1.5.2-1) unstable; urgency=low

  * New upstream bugfix release, fixes initialization on kernels without
    TPACKET_V3.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 04 Dec 2013 13:56:39 +0100

libpcap (1.5.1-1) unstable; urgency=low

  * New upstream version, API additions: pcap_set_immediate_mode(),
    pcap_{get,set}_tstamp_precision(), pcap_open_dead_with_tstamp_precision(),
    pcap_{,f}open_offline_with_tstamp_precision().
  * debian/patches/50_hurd.diff: Dropped, merged upstream.
  * Set Standards-Version to 3.9.5.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Dec 2013 18:28:34 +0100

libpcap (1.4.0-2) unstable; urgency=low

  * Fix FTBFS on hurd-i386 due to pcap_findalldevs() refactoring.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 15 Jun 2013 12:32:23 +0200

libpcap (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Make debug package Multi-Arch: same.
  * Use canonical locations in Vcs-* fields.
  * Set Standards-Version to 3.9.4.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 26 May 2013 18:21:24 +0200

libpcap (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 13 Jun 2012 23:16:16 +0200

libpcap (1.2.1-3) unstable; urgency=low

  * Use dh-autoreconf.
  * Add CPPFLAGS to CFLAGS to avoid losing fortify hardening flags
    (closes: #674493).
  * Make sure we use LDFLAGS while linking the shared library to avoid
    losing the relro hardening flag.
  * Rename linker script to avoid unpatch failure.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 26 May 2012 15:53:07 +0200

libpcap (1.2.1-2) unstable; urgency=low

  * Cherry-pick commit d55b6f4f1b from upstream to make absence of
    Netfilter support in the kernel non-fatal (closes: #672337).
  * debian/control: Set Standards-Version to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 10 May 2012 20:37:13 +0200

libpcap (1.2.1-1) unstable; urgency=low

  * New upstream version. API additions: pcap_set_tstamp_type(),
    pcap_{list,free}_tstamp_types(), pcap_tstamp_type_name_to_val(),
    pcap_tstamp_type_val_to_{description,name}().

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 04 Jan 2012 20:46:49 +0100

libpcap (1.1.1-10) unstable; urgency=low

  * Cherry-pick commit 93583909e1 from upstream to fix detection of VLAN
    acceleration support in the configure script (LP: #838952).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 03 Nov 2011 19:29:58 +0100

libpcap (1.1.1-9) unstable; urgency=low

  * debian/rules: Stop setting CFLAGS; it's no longer useful
    (closes: #647300).
  * Override 'package-needs-versioned-debhelper-build-depends'.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 02 Nov 2011 20:30:02 +0100

libpcap (1.1.1-8) unstable; urgency=low

  * Backport additional changes from upstream to make the fix for
    CVE-2011-1935 work on kernels without support for PACKET_RESERVE
    (closes: #625443).
  * Retroactively mention CVE id in 1.1.1-4 changelog entry.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Jul 2011 18:47:31 +0200

libpcap (1.1.1-7) unstable; urgency=low

  * Build for multiarch:
    + Set debhelper compat level to 9, bump build-depends.
    + Set Multi-Arch: same on libpcap0.8 and add required Pre-Depends.
    + Adjust install paths.
  * debian/patches/10_shared_lib.diff: Prevent 'pcap-config --libs' from
    adding an rpath now that libdir != /usr/lib.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 28 Jun 2011 20:14:43 +0200

libpcap (1.1.1-6) unstable; urgency=low

  * debian/patches/47_ip6_protochain.patch: New patch; fixes a crash in
    the BPF interpreter with "ip6 protochain" on 64-bit platforms
    (closes: #627342).
  * debian/control: Avoid "we" in long description (closes: #623607).
  * debian/control: Set Standards-Version to 3.9.2.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 May 2011 19:13:27 +0200

libpcap (1.1.1-5) unstable; urgency=low

  * Fix build issue on kfreebsd which causes FTBFS in applications,
    introduced in 1.1.1-4. Thanks to Jakub Wilk <jwilk@debian.org> for the
    patch (closes: #626232).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 10 May 2011 21:10:53 +0200

libpcap (1.1.1-4) unstable; urgency=low

  [ Romain Francoise ]
  * Cherry-pick commit 073a8b37f9 from upstream to fix device detection
    when the bonding module is loaded (closes: #612803).
  * debian/patches/50_kfreebsd.diff: Enable zerocopy BPF again.

  [ Robert S. Edmonds ]
  * Backport commit ea9432fabd from upstream to fix corruption of snapshot
    length on live captures (CVE-2011-1935) (closes: #623868).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 30 Apr 2011 12:30:27 +0200

libpcap (1.1.1-3) unstable; urgency=low

  * Make the configure script recognize GNU/Hurd; patch from Svante Signell
    (closes: #612834).
  * debian/control: Set Standards-Version to 3.9.1.
  * debian/patches/30_man_fixes.diff: Fix a few typos in man pages
    detected by lintian.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Apr 2011 20:39:37 +0200

libpcap (1.1.1-2) unstable; urgency=low

  * debian/patches/50_kfreebsd.diff: Fix configure script to properly
    detect shared lib support on kfreebsd again.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 06 Apr 2010 21:38:44 +0200

libpcap (1.1.1-1) unstable; urgency=low

  * New upstream release (closes: #576002):
    + No changes to existing API/ABI; no new symbols.
    + Uses the new path to usbmon in /sys (closes: #570455).
    + Updates USB packet header definition (closes: #571028).
    + pcap_loop() handles device removal gracefully again
      (closes: #520393).
    + pcap-config no longer outputs an extra space after -L
      (closes: #567570).
  * debian/patches/10_install.diff: Dropped, merged upstream.
  * debian/patches/20-fix-any-intf.diff: Ditto.
  * debian/patches/20-fix-rename-usbmon.diff: Ditto.
  * debian/control: Set Standards-Version to 3.8.4.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 06 Apr 2010 19:15:26 +0200

libpcap (1.0.0-6) unstable; urgency=low

  * debian/patches/50_kfreebsd.diff: Disable zerocopy BPF detection
    (it's supported in FreeBSD 8.0+ only).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 12 Dec 2009 18:03:47 +0100

libpcap (1.0.0-5) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Remove README.source.
    + Refresh all patches (and add missing headers).
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>= 7.0.50~).
    + debian/rules: Simplify.
    + debian/libpcap0.8.dirs: Removed.
    + debian/patches/10_install.diff: New patch, create $(bindir) before
      installing files in it.
  * debian/watch: New file.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 29 Nov 2009 14:25:39 +0100

libpcap (1.0.0-4) unstable; urgency=low

  * debian/patches/40_fix_bus_usb_path.diff: New patch from Ubuntu
    changing the usb bus path from /proc/bus/usb to /dev/bus/usb, thanks
    to Andy Matteson <xt.knight@gmail.com> (LP: #408478).
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 07 Sep 2009 20:18:58 +0200

libpcap (1.0.0-3) unstable; urgency=low

  [ Romain Francoise ]
  * debian/patches/15_linker_script.diff: New patch; don't export private
    symbols and leave only the public interface.  Based on patch by Marco
    d'Itri.
  * debian/patches/series: Update.
  * debian/libpcap0.8.symbols: New file, adding symbols (closes: #543167).
    Based on patch by Marco d'Itri.
  * debian/libpcap0.8.shlibs: Removed.
  * debian/control: Set Standards-Version to 3.8.3.
  * debian/control: Add missing dependencies on ${misc:Depends}.

  [ Marco d'Itri ]
  * debian/rules: Preserve $CFLAGS set by dpkg-buildpackage.
  * debian/README.Debian: Do not mention /etc/modules.conf, which is long
    gone.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Sep 2009 14:19:40 +0200

libpcap (1.0.0-2) unstable; urgency=low

  * debian/rules: Move pcap-filter(7) man page to libpcap0.8 from
    libpcap0.8-dev (see #527599).
  * debian/control:
    + Make libpcap0.8 replace libpcap0.8-dev (<< 1.0.0-2) for the
      aforementioned change.
    + Add explicit build-depends on linux-libc-dev (>= 2.6.27) on i386 to
      make sure that tpacket_v2 support gets compiled in (closes: #517098).
    + Move libpcap0.8-dbg to 'debug' to follow override.
    + Set Standards-Version to 3.8.1.
  * debian/patches/20-fix-rename-usbmon.diff: New patch cherry-picked from
    upstream; renames USB capture pseudo-interfaces to 'usbmonN' to avoid
    collision with 'usbN' USB network cards (closes: #516089).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 16 Jun 2009 14:59:24 +0200

libpcap (1.0.0-1) unstable; urgency=low

  * Upload to unstable.
  * debian/libpcap0.8.shlibs: Bump to >= 1.0.0-1 (no real changes, just
    cosmetics).
  * debian/patches/20-fix-any-intf.diff: New patch cherry-picked from
    upstream; fixes handling of the 'any' device.
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 16 Feb 2009 19:24:03 +0100

libpcap (1.0.0-1~exp1) experimental; urgency=low

  * New upstream release (closes: #507019).
    + No changes to existing API, only additions.
    + One of the members of struct bpf_insn (the constant) changed from
      signed to unsigned but this does not break the ABI as users always
      convert it to unsigned anyway (see pcap-bpf.h r1.39 in upstream CVS).
  * debian/libpcap0.8.shlibs: Bump dependency to >= 1.0.0-1~exp1 for API
    additions.
  * debian/rules: Don't remove 'net' in clean target.
  * debian/libpcap0.8-dev.dirs: Add usr/bin.
  * debian/patches/20_mac_syntax.diff: Dropped.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 30 Nov 2008 20:31:52 +0100

libpcap (0.9.8-5) unstable; urgency=low

  * debian/rules: Fix targets to avoid building libpcap-dev in
    binary-arch (doh!).
  * debian/control: Set Standards-Version to 3.8.0.
  * debian/README.source: New file.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Jun 2008 11:58:04 +0200

libpcap (0.9.8-4) unstable; urgency=low

  * Now that the transition is over, rename this source package from
    'libpcap0.8' to 'libpcap'.
  * debian/control: Rename source, adjust Vcs-* fields.
  * debian/rules: Various cleanups.
  * debian/libpcap0.8.post{inst,rm}: Deleted.
  * debian/patches/10_shared_lib.diff: Deal with source name change.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Jun 2008 12:33:47 +0200

libpcap0.8 (0.9.8-3) unstable; urgency=low

  * debian/copyright:
    + Convert to UTF-8 encoding.
    + Add the actual copyright notice.
  * debian/control:
    + Add a new binary package: libpcap0.8-dbg.
    + Change section and priority for libpcap-dev.
    + Tweak short descriptions.
    + Set Standards-Version to 3.7.3.
  * debian/rules:
    + Install debugging symbols in libpcap0.8-dbg.
    + Add -g to default CFLAGS.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 08 Mar 2008 18:53:59 +0100

libpcap0.8 (0.9.8-2) unstable; urgency=low

  * debian/control: Add Vcs-Browser and Vcs-Git fields.
  * debian/patches/50_kfreebsd.diff: Update with new patch by Petr
    Salinger fixing FTBFS on Debian GNU/kFreeBSD (closes: #448694).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 05 Nov 2007 18:32:28 +0100

libpcap0.8 (0.9.8-1) unstable; urgency=low

  * New upstream release: no API changes, no ABI changes.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 28 Sep 2007 18:11:12 +0200

libpcap0.8 (0.9.7-2) unstable; urgency=low

  * debian/control: Move upstream URL to the Homepage field.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Sep 2007 19:11:55 +0200

libpcap0.8 (0.9.7-1) unstable; urgency=low

  * New upstream release (closes: #432645, #433420).
  * debian/patches/50_autotools-dev.diff: New patch, make config.{guess,sub}
    exec newer versions of themselves if autotools-dev is installed.
  * debian/patches/series: Update.
  * debian/control: Add build-depends on autotools-dev.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 12 Aug 2007 14:20:31 +0200

libpcap0.8 (0.9.5-2) unstable; urgency=low

  * Convert package to quilt for patch management.

  * debian/control:
    + Move libpcap-dev here from the old libpcap source package, thanks to
      Petr Salinger.
    + Use ${binary:Version} instead of ${Source-Version}.
    + Depend on quilt, not dpatch.

  * debian/rules:
    + Don't ignore errors in clean target.
    + Include /usr/share/quilt/quilt.make.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Aug 2007 19:45:20 +0200

libpcap0.8 (0.9.5-1) unstable; urgency=low

  * New upstream release: no API changes, no ABI changes.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 28 Sep 2006 11:51:23 +0200

libpcap0.8 (0.9.4-2) unstable; urgency=low

  * debian/compat: Switch to debhelper compatibility level 5.
  * debian/control:
    + Build-Depend on debhelper (>= 5).
    + Remove Uploaders field.
    + Bump Standards-Version to 3.7.2, no changes needed.
  * debian/rules: Misc. cleanups.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 15 May 2006 18:51:46 +0200

libpcap0.8 (0.9.4-1) unstable; urgency=low

  * New upstream release, correctly reads files generated by ulogd
    (closes: #322109).

  * debian/patches/60_version.dpatch: Dropped.
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 10 Oct 2005 20:07:22 +0200

libpcap0.8 (0.9.3-1) unstable; urgency=low

  * New upstream release: this is a new major version of libpcap but it is
    API and ABI compatible with libpcap0.8 so the old soname and package
    names were kept to avoid unnecessary transition of all packages.

  * debian/libpcap0.8.shlibs: New file.

  * debian/patches/10_shared_lib.dpatch: Change perl snippet to get the
    major version number from the package name rather than from the Debian
    version.
  * debian/rules: Ditto.

  * debian/patches/60_version.dpatch: New patch, fixes upstream version
    (still at 0.9.2 while this is version 0.9.3).

  * debian/patches/10_shared_lib.dpatch: Resynchronized.
  * debian/patches/40_sockaddr_ll.dpatch: Dropped (included upstream).
  * debian/patches/00list: Update.

  * debian/control: Bump Standards-Version, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Jul 2005 14:14:20 +0200

libpcap0.8 (0.8.3-6) unstable; urgency=low

  * debian/patches/50_kfreebsd.dpatch: New patch, add support for
    GNU/kFreeBSD, by Aurelien Jarno (closes: #293846).
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 20 Jun 2005 21:36:09 +0200

libpcap0.8 (0.8.3-5) unstable; urgency=low

  * debian/patches/40_sockaddr_ll.dpatch: Patch from Dean Gaudet
    <dean@arctic.org> adding sockaddr_ll support to pcap_findalldevs
    (closes: #278614).
  * debian/rules: Use dh_installman, not dh_installmanpages.

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  7 Nov 2004 22:24:50 +0100

libpcap0.8 (0.8.3-4) unstable; urgency=low

  * debian/patches/30_man_fixes.dpatch: Explicitly mention `pcap_handler'
    as routine type for pcap_loop() and pcap_dispatch() callbacks,
    suggested by Florian Weimer <fw@deneb.enyo.de> (closes: #255267).

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 21 Jul 2004 19:46:07 +0200

libpcap0.8 (0.8.3-3) unstable; urgency=low

  * debian/control: libpcap0.8-dev conflicts with libpcap0.7-dev.

 -- Romain Francoise <rfrancoise@debian.org>  Wed,  9 Jun 2004 11:44:50 +0200

libpcap0.8 (0.8.3-2) unstable; urgency=low

  * debian/control:
    + Put back URL markers in description.
    + Switch Maintainer and Uploaders fields to match reality.
  * debian/patches/30_man_fixes.dpatch: Patch to fix some inconsistencies
    in the upstream man page (tcpdump is in section 8, not 1).
  * debian/patches/00list: Add 30_man_fixes.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 14 May 2004 23:43:02 +0200

libpcap0.8 (0.8.3-1) unstable; urgency=low

  * New upstream release (closes: #235155).
    + bpf_filter.c now has config.h (closes: #171210).
    + Does not ship CVS directories anymore (closes: #119750).
    + Has improved "truncated file" messages (closes: #207535).
  * New source package to ease the 0.7 -> 0.8 transition, each source
    package builds corresponding libpcap0.x{,-dev} binary packages.  The
    libpcap-dev package is provided by libpcap0.7 for now.
  * debian/copyright: Rewrite.  Licensing information is now complete in
    the upstream tarball.
  * debian/control:
    + Update source and binary package names.
    + Build-Depend on dpatch, perl.
    + Bump Standards-Version to 3.6.1.0.
  * debian/rules:
    + Clean up CFLAGS handling.
    + Support DEB_BUILD_OPTIONS.
    + Use dpatch for patch management.
    + Compute major/minor versions from the changelog instead of
      hardcoding them.
  * debian/patches: New directory.
  * debian/patches/10_shared_lib.dpatch: Patch split off the Debian diff
    to build a shared library (upstream does not support it).
  * debian/patches/20_mac_syntax.dpatch: Patch split off the Debian diff
    to support more MAC address syntaxes (by Torsten Landschoff).
  * debian/patches/00list: New file (patch list).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 30 Apr 2004 16:14:10 +0200

libpcap (0.7.2-5) unstable; urgency=low

  * debian/rules: Update version variables, this is version 0.7.2.
  * Makefile.in: Fix version.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 11 Nov 2003 12:14:28 +0100

libpcap (0.7.2-4) unstable; urgency=low

  * debian/libpcap-dev.preinst: New file.  Remove old symlink from
    /usr/share/doc/libpcap-dev to libpcap0 since we now have a real
    libpcap-dev directory.  Closes: #175742.
  * debian/rules: Add -A flag to dh_installdocs so that it acts on all
    binary packages.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 20 Oct 2003 18:49:22 +0200

libpcap (0.7.2-3) unstable; urgency=low

  * debian/control: libpcap-dev is in section libdevel, not in section
    devel.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 19 Oct 2003 19:22:12 +0200

libpcap (0.7.2-2) unstable; urgency=low

  * debian/control:
    + Adding myself as co-maintainer, with Torsten's blessing.
    + Repeat extended description in libpcap-dev description
      (closes: #209728)
    + Remove Emacs-style <URL: ...> markers from the descriptions.
      (closes: #196727).
    + Remove full stops from synopsis as per Policy.
    + Add versioned build-dependency on debhelper (>= 4).
  * debian/copyright: Remove dh-make boilerplates.
  * debian/compat: New file.
  * debian/rules: Remove obsolete DH_COMPAT variable.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 19 Oct 2003 18:17:41 +0200

libpcap (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Sat,  7 Jun 2003 22:57:55 +0200

libpcap (0.7.1-1) unstable; urgency=low

  * New upstream release (closes: #145538).
  * debian/rules: Build the library with _FILE_OFFSET_BITS set to 64
    to allow for files bigger than 2GB (closes: #129213).
  * Rename the library package to libpcap0.7 and change the SONAME so that we
    can account for interface changes (closes: #132359).
  * Run ldconfig as appropriate (lintian).
  * Remove watch.ex template and the silly symlink from libpcap-dev's
    documentation to libpcap0 (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Sat,  3 Aug 2002 23:33:56 +0200

libpcap (0.6.2-2) unstable; urgency=low

  * debian/control: Change section of libpcap0 from net to libs
    (Debian installer message).
  * aclocal.m4: Treat the ia64 as a cpu which can't handle unaligned
    memory access (closes: #112152). Thanks for the report go to
    John R. Daily.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 14 Sep 2001 10:15:52 +0200

libpcap (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Removed Build-Depends already satisfied by the
    build-essential package.
  * gencode.c (gen_scode): Add the missing default branch of the protocol
    family switch (closes: 88688).
  * debian/libpcap.post{rm,inst}: Run ldconfig (lintian).
  * debian/copyright: Fix the "similiar" typo (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Tue,  6 Mar 2001 04:27:27 +0100

libpcap (0.6.1-2) unstable; urgency=low

  * debian/rules: Changed the shlibs info so that only pcap 0.6
    is okay for packages linked against this version.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 18 Jan 2001 01:13:20 +0100

libpcap (0.6.1-1) unstable; urgency=low

  * Taking back the package. Kudos to Anand for helping out.
  * debian/rules: Pass --enable-ipv6 to configure (closes: #80223).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 16 Jan 2001 15:40:37 +0100

libpcap (0.5.2-2) unstable; urgency=low

  * Update config.guess and config.sub (Closes #26031)
  * Source builds would not always work. Fix that.
  * Kernel interface problem is really a module not loaded problem.
    Note this in README.Debian. (Closes #21356)

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 28 Nov 2000 02:03:25 +1100

libpcap (0.5.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * Migrate to Debhelper and insert Build-Depends

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 12 Nov 2000 03:19:44 +1100

libpcap (0.4a6-3) unstable; urgency=low

  * New maintainer.
  * scanner.l: Allow a 12 digit hex number as ether address as well as
    BB.BB.BB.BB.BB.BB (closes: #48735)
  * nametoaddr.c (pcap_ether_aton): Adjust for change in scanner.l

 -- Torsten Landschoff <torsten@debian.org>  Mon, 22 Nov 1999 02:39:45 +0100

libpcap (0.4a6-2.1) unstable; urgency=low

  * Non maintainer upload.
    config.{guess,sub} changed to recognize a Arm architecture.

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 20 Aug 1998 23:12:36 -0400

libpcap (0.4a6-2) frozen unstable; urgency=low

  * renamed /usr/doc/libpcap to /usr/doc/libpcap0 (should fix several
    lintian warnings)
  * updated standards-version
  * rebuild with latest debmake

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Mon, 30 Mar 1998 00:46:44 +0200


libpcap (0.4a6-1) unstable; urgency=low

  * upgraded to latest upstream version, fixes: Bug#17164
  * added patch from Michael Alan Dorman <mdorman@mdorman.law.miami.edu>
    for building libpcap on alpha systems, fixes: Bug#15556
  * fixed aclocal.m4 script

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Sat, 31 Jan 1998 23:19:42 +0100


libpcap (0.4a2-2) unstable; urgency=low

  * fixed detection of IFF_LOOPBACK for linux systems
  * link shared library with -l

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Wed, 19 Nov 1997 23:44:34 +0100


libpcap (0.4a2-1) unstable; urgency=low

  * new maintainer
  * latest upstream release
  * libc6 version
  * compiled with _REENTRANT

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Wed, 17 Sep 1997 20:40:01 +0200


libpcap (0.3.1a3-1) unstable; urgency=low

  * Latest upstream release.  Fixes bug #6670.

 -- Karl Sackett <krs@debian.org>  Wed, 2 Apr 1997 10:19:28 -0600


libpcap (0.3-1) unstable; urgency=low

  * First Debian release.
  * Makefile.in: supports libpcap.so target.

 -- Karl Sackett <krs@debian.org>  Wed, 8 Jan 1997 09:38:31 -0600
